<?php
	require_once("config/connect.php");
	require_once("global_functions.php");
	check_login('', '', 'ENABLERKEY_KASSENBERICHT');
	
	$kaAbschl=mysql_query("SELECT id, datum_start, datum_ende FROM kassa_abschluesse WHERE kassa_offen = 0  ORDER BY id DESC");
	$kaAbschlSelBeg="<select id='kassaberichtSelBegin' class='adminKassaBerichtSelect orange'>
						 <optgroup  label='' >
							<option id ='0' value='0000-00-00 00:00'>Bericht Beginn wählen</option>";
	$kaAbschlSelEnd="<select id='kassaberichtSelEnde' class='adminKassaBerichtSelect orange'>
						 <optgroup  label='' >
							<option id ='0' value='0000-00-00 00:00'>Bericht Ende wählen</option>";
	while($kaAbschlR=mysql_fetch_array($kaAbschl)){
		$dDateSt = strtotime($kaAbschlR['datum_start']);
		$dateTimeSt = date( 'j.n.Y H:i', $dDateSt );
		$dDateEnd = strtotime($kaAbschlR['datum_ende']);
		$dateTimeEnd = date( 'j.n.Y H:i', $dDateEnd );
		$kaAbschlSelBeg.="<option id='".$kaAbschlR['id']."' value='".$dateTimeSt."' >Erstellt: ".$dateTimeSt.", Id: ".$kaAbschlR['id']."</option>";
		$kaAbschlSelEnd.="<option id='".$kaAbschlR['id']."' value='".$dateTimeEnd."' >Erstellt: ".$dateTimeEnd.", Id: ".$kaAbschlR['id']."</option>";
	}
	
	$kaAbschlSelBeg.="</optgroup></select>";
	$kaAbschlSelEnd.="</optgroup></select>";
	
?>
<head>
<meta charset="utf-8">
<title>SITPOS Kassenbericht</title>
	<?php echo PAGE_CACHE_OFF; ?>
	<script src="jquery/jquery-2.1.1.min.js"></script>
	<script src="jquery/jquery-ui1.11.4.js"></script>
	<script src="include/global_js_functions.js"></script>
	<script src="jquery/datepicker-de.js"></script>
		<! script src="jquery/functions.js"></script>

	<link rel="stylesheet" type="text/css" href="include/menue.css">
	<style type="text/css">
	<?php include 'include/main.css'; ?>
	<?php include 'include/menue.css'; ?>
	</style>

	<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css">
	
</head>

<body>

<script>
	
	$(document).ready(function() {
		$("#kassenbericht_starten").click(function() {
			invoicebonPdfPrint="<?php echo AUSDRUCK_RECHNUNGSBON_PDF; ?>";
			if(invoicebonPdfPrint.toLowerCase() == 'ja')forcePdfPrint=true;
			else forcePdfPrint=false;

			button_html="<input type='button'  id='Drucken' class='button ausdrucken_button orange' onclick=\"seite_drucken('kassenbericht', '', '', '"+forcePdfPrint+"')\" value='Drucken' />";
			data = $("#kassenbericht_starten_id").serialize();
			
			//console.log(data);

			$.ajax({
				type: "POST",
				url: "ajax_funktionen.php",
				dataType : "html",
				data: data,
				async: false,
				success:function(html){
					
					$("#fenster_rechts").html(html).css({ "height":$("#fenster_links").height(), "width":"auto" });
						//	$("#menue_warenkoerbe").html(button_html);	
					if(html.toLowerCase().indexOf('fehler') === -1){
						$("#menuDivRight").html(button_html).css({ "visibility":"visible"	});
					}
					else{
						$("#menuDivRight").html(button_html).css({ "visibility":"hidden"	});
					}
				}
			})
		
			return false;
		});
	});
	
</script>

<?php
	
	echo '<div id="wrapper_bon" class="wrapper_bon" >';

	menue_anzeigen();
	
	// Fenster Rechts
	echo "<div id='fenster_rechts' class='fenster_rechts'></div>";
	
	echo '<div id="fenster_links" class="fenster_links">';

	echo '<form id="kassenbericht_starten_id" "action="ajax_funktionen.php">
			<div class="adminPageTxtDiv">
				<div class="adminPageContentLeftDiv" >
				<h4 >Kassenbericht</h4>';
	echo '<input type="hidden" name="funktion" value="kassenbericht_ausfuehren">';
	echo '<div style="width:15%; height:25px;" class="cclear" ></div>';			# nur platzhalter
	#echo '<div class="adminPageInputDiv" ><p class="adminPageIpTxtDiv" >Von:</p> <input name="datum_von" type="text" class="datepicker"></div>';
	#echo '<div class="adminPageInputDiv" ><p class="adminPageIpTxtDiv" >Bis:</p> <input name="datum_bis" type="text" class="datepicker"></div>';
	echo '<div class="adminKassaabschlPageInputDiv" >
			<input type="hidden" id="abschlIdVon" name="abschlIdVon" />
			<input type="hidden" id="abschlDatumVon" name="abschlDatumVon" />
			<p class="adminKassaabschlPageIpTxtDiv" >Kassenabschluss<br />Beginn</p>
				'.$kaAbschlSelBeg.'
		</div>';
	echo '<div class="adminKassaabschlPageInputDiv" >
			<input type="hidden" id="abschlIdBis" name="abschlIdBis" />
			<input type="hidden" id="abschlDatumBis" name="abschlDatumBis" />
			<p class="adminKassaabschlPageIpTxtDiv" >Kassenabschluss<br />Ende</p>
					'.$kaAbschlSelEnd.'
		</div>';

	echo '<button id="kassenbericht_starten" class=" kassenAbschlBut kassenbericht_starten button_gross button orange" >Kassabericht</button>';	
	echo '	</div></div>
			</form>';
	
	echo '</div>';
?>


	<script>
		$(function(){
			$( "#kassaberichtSelBegin" ).change(function() {
				selStartId=$("#kassaberichtSelBegin option:selected").attr('id');
				selStartDate=$("#kassaberichtSelBegin option:selected").val();
				$("#abschlIdVon").val(selStartId);
				$("#abschlDatumVon").val(selStartDate);
			});
			$( "#kassaberichtSelEnde" ).change(function() {
				selEndeId=$("#kassaberichtSelEnde option:selected").prop('id');
				selEndeDate=$("#kassaberichtSelEnde option:selected").val();
				$("#abschlIdBis").val(selEndeId);
				$("#abschlDatumBis").val(selEndeDate);
			});
			$( ".datepicker" ).datepicker({ dateFormat: "yy-mm-dd" });

		});
	</script>
























</body>
</html>